; ===============================================================
; Vital Constants
; ===============================================================

#define BYTES_PER_DEX		20		; Number of bytes per pokedex entry
#define BYTES_PER_PKMN		7		; Number of bytes per frontier entry
#define BYTES_PER_TPKMN		30 + 1		; Number of bytes per team pkmn var

#define ZoneSize			250		; Size of buffer for swapped in routines
#define CodeSize			8000		; Size of coding region for overworld/battle

#define FREQ				$00		; mask for hardware interrupt frequency
#define MASK				$0A		; mask for interrupt bits
#define ACKN				$08		; mask for acknowledge interrupt

#define SAVESIZE			3 + 96		; total size of PKMNSAVE appvar in bytes
#define SAVEID			$BA		; token ID byte of PKMNSAVE appvar