; ===============================================================
; Data
; ===============================================================

Data:
PKMNDATAName:
.db ProgObj, tP, tK, tM, tN, tD, tA, tT, tA		; PKMNDATA

PKMNPICFName:
.db ProgObj, tP, tK, tM, tN, tP, tI, tC, tF		; PKMNPICF

PKMNPICBName:
.db ProgObj, tP, tK, tM, tN, tP, tI, tC, tB		; PKMNPICB

PKMNSAVEName:							; PKMNSAVE
.db AppVarObj, tP, tK, tM, tN, tS, tA, tV, tE

; ---------------------------------------------------------------
; Research Data
; ---------------------------------------------------------------

ResearchStyleDb:
ResearchStyleDbPrep:
.db 13, mSwordsDance, mAgility, mDoubleTeam, mMinimize, mDefenseCurl		; Category 1
.db mBarrier, mAmnesia, mAcidArmor, mBellyDrum, mCosmicPower, mBulkUp
.db mCalmMind, mPsychUp

ResearchStyleDbSlow:
.db 21, mSing, mGrassWhistle, mYawn, mStunSpore, mSleepPowder			; Category 2
.db mThunderWave, mToxic, mHypnosis, mWillOWisp, mLovelyKiss, mSpore
.db mSpikes, mSwagger, mMeanLook, mAttract, mEndure, mTorment, mConfuseRay
.db mLeechSeed, mDisable, mBlock

ResearchStyleDbEndure:
.db 17, mRecover, mSynthesis, mMoonlight, mSoftboiled, mMilkDrink, mRest	; Category 3
.db mWish, mProtect, mDetect, mEndure, mBatonPass, mSafeguard
.db mLightScreen, mReflect, mIngrain, mRefresh, mAromatherapy

ResearchStyleDbRisk:
.db 18, mHornDrill, mDoubleEdge, mHyperBeam, mCounter, mFissure		; Category 4
.db mSkyAttack, mExplosion, mFlail, mReversal, mDestinyBond, mPerishSong
.db mPainSplit, mMirrorCoat, mMemento, mGrudge, mFacade, mFocusPunch
.db mOverheat

ResearchStyleDbWeaken:
.db 9, mSandAttack, mScreech, mSmokeScreen, mFlash, mScaryFace		; Category 5
.db mCharm, mSweetScent, mFakeTears, mKnockOff

ResearchStyleDbImpos:
.db 6, mMetronome, mSubstitute, mCurse, mFollowMe, mTrick, mSkillSwap	; Category 6

ResearchStyleDbAdapt:
.db 4, mSandstorm, mRainDance, mSunnyDay, mHail					; Category 7

; ---------------------------------------------------------------
; Stat Table
; ---------------------------------------------------------------

StatDb:
.dw tHP, tAttack, tDefense, tSpAttack, tSpDefense, tSpeedSt
.dw tAccuracy, tEvasion

; ---------------------------------------------------------------
; Status Table
; ---------------------------------------------------------------

StatusDb:										; StatusDb must be continous w/ StatDb
.dw tEmpty, tBRN, tFRZ, tPAR, tPSN, tSLP, tPSN, tFNT
.dw tPoisoning, tSleep, tBurns, tRomance, tConfusion, tItemTheft
.dw tFlinching, tOHKOs, tBurn, tParalyz, tPoison, tlStat

; ---------------------------------------------------------------
; AI Tree Table
; ---------------------------------------------------------------

AITreeDb:
.dw aiFree, aiPrep, aiSlow, aiEndure, aiRisk
.dw aiWeaken, aiImpos, aiFlow, aiAdapt

; ---------------------------------------------------------------
; AI Action Table
; ---------------------------------------------------------------

AIActionDb:
.dw AIActDamage, AIActHeal, AIChkHP50, AIChkStatHigh, AIActBoost
.dw AIChkTrgtStatus, AIActStatus, AIChkPrevProtect, AIActProtect
.dw AIChkHasStatus, AIActCure, AIChkStatLow, AIActLower,
.dw AIChkIsWeather, AIActWeather

; ---------------------------------------------------------------
; FP Data
; ---------------------------------------------------------------

FP42:
.db $00, $81, $42, $00, $00, $00, $00, $00, $00

FP50:
.db $00, $81, $50, $00, $00, $00, $00, $00, $00

FP30:
.db $00, $81, $30, $00, $00, $00, $00, $00, $00

FP64:
.db $00, $81, $64, $00, $00, $00, $00, $00, $00

FPHalf:
.db $00, $7F, $50, $00, $00, $00, $00, $00, $00

FPFourth:
.db $00, $7F, $25, $00, $00, $00, $00, $00, $00

FPOnePtFive:
.db $00, $80, $15, $00, $00, $00, $00, $00, $00

FP255:
.db $00, $82, $25, $50, $00, $00, $00, $00, $00

; ---------------------------------------------------------------
; Grayscale keygroups
; ---------------------------------------------------------------

gs_keygroups:
.db $fe, $fd, $fb, $f7, $ef, $df, $bf
gs_keygroup1:
.db gkDown, gkLeft, gkRight, gkUp, 00h, 00h, 00h, 00h
gs_keygroup2:
.db gkEnter, gkAdd, gkSub, gkMul, gkDiv, gkPow, gkClear, 00h
gs_keygroup3:
.db gkChs, gk3, gk6, gk9, gkRParen, gkTan, gkVars, 00h
gs_keygroup4:
.db gkDecPnt, gk2, gk5, gk8, gkLParen, gkCos, gkPrgm, gkStat
gs_keygroup5:
.db gk0, gk1, gk4, gk7, gkComma, gkSin, gkMatrix, gkGraphVar
gs_keygroup6:
.db 00h, gkStore, gkLn, gkLog, gkSquare, gkRecip, gkMath, gkAlpha
gs_keygroup7:
.db gkGraph, gkTrace, gkZoom, gkWindow, gkYEqu, gk2nd, gkMode, gkDel
gs_keymem:
.db 0
gs_keyvalues:
.db 127, 191, 223, 239, 247, 251, 253, 254

; ---------------------------------------------------------------
; Char / Low / Num Table
; ---------------------------------------------------------------

CharTable:					; table of chars, gk0 relative
.db $06	; ' '
.db 'Y'
.db 'Z'
.db $5B	; theta
.db 'T'
.db 'U'
.db 'V'
.db 'O'
.db 'P'
.db 'Q'
.db $22	; '"'
.db 'W'
.db 'R'
.db 'M'
.db 'H'
.db 'L'
.db 'G'
.db $DE	; vars - uppercase nu
.db ':'
.db 'K'
.db 'F'
.db 'C'
.db $CF	; prgm - bold left arrow <|
.db 'J'
.db 'E'
.db 'B'
.db 'X'
.db 'X'
.db 'S'
.db 'N'
.db 'I'
.db 'D'
.db 'A'
.db $BF	; graph - delta upper
.db $BE	; trace - delta lower
.db $BD	; zoom - gamma
.db $BC	; window - beta
.db $BB	; yequ - alpha
.db '?'
.db 0

LowTable:					; table of lowercase chars, gk0 relative
.db '_'
.db 'y'
.db 'z'
.db $40	; ampersand, '@'
.db 't'
.db 'u'
.db 'v'
.db 'o'
.db 'p'
.db 'q'
.db $27	; '''
.db 'w'
.db 'r'
.db 'm'
.db 'h'
.db 'l'
.db 'g'
.db $D8	; vars - accent p
.db $D7	; imaginary i
.db 'k'
.db 'f'
.db 'c'
.db $07	; prgm - bold down arrow \/
.db 'j'
.db 'e'
.db 'b'
.db 'x'
.db 'x'
.db 's'
.db 'n'
.db 'i'
.db 'd'
.db 'a'
.db $CA	; graph - omega
.db $C9	; trace - phi
.db $C8	; zoom - tau
.db $C7	; window - sigma lowercase
.db $C5	; yequ - lasso
.db $B9	; upside down '?'
.db 0

NumTable:					; table of num chars, gk0 relative
.db '0'
.db '1'
.db '2'
.db '3'
.db '4'
.db '5'
.db '6'
.db '7'
.db '8'
.db '9'
.db '+'
.db '-'
.db '*'
.db '/'
.db '^'
.db ')'
.db '<'	; tan - '<'
.db $0F	; vars - bold F
.db '.'
.db '('
.db '='	; cos - '='
.db $05	; prgm - solid left arrow, |>
.db $D9	; stat - star
.db $2C	; ','
.db '>'	; sin - '>'
.db $14	; angle sign ; $16, transpose
.db $01	; graphvars - nu, n
.db $1C	; store - arrow ->
.db $1E	; ln - up arrow
.db $1F	; log - down arrow
.db $12	; square - square, ^2
.db $11	; inverse - inverse, ^-1
.db $08	; math - integral sign
.db $C6	; graph - upper sigma
.db $C4	; trace - pi
.db $C3	; zoom - mu
.db $C2	; window - lambda
.db $C0	; yequ - epsilon
.db $D2	; shorter hyphen, '-'
.db 0

; ---------------------------------------------------------------
; Type Effectiveness Table
; ---------------------------------------------------------------

CalcEffTable:

;    |NOR|FIG|FLY|POI|GRO|ROC|BUG|GHO|STE|FIR|WAT|GRA|ELE|PSY|ICE|DRA|DAR ;
.db   eE, eE, eE, eE, eE, eN, eE, eU, eN, eE, eE, eE, eE, eE, eE, eE, eE,  ; NOR
.db   eS, eE, eN, eN, eE, eS, eN, eU, eS, eE, eE, eE, eE, eN, eS, eE, eS,  ; FIG
.db   eE, eS, eE, eE, eE, eN, eS, eE, eN, eE, eE, eS, eN, eE, eE, eE, eE,  ; FLY
.db   eE, eE, eE, eN, eN, eN, eE, eN, eU, eE, eE, eS, eE, eE, eE, eE, eE,  ; POI
.db   eE, eE, eU, eS, eE, eS, eN, eE, eS, eS, eE, eN, eS, eE, eE, eE, eE,  ; GRO
.db   eE, eN, eS, eE, eN, eE, eS, eE, eN, eS, eE, eE, eE, eE, eS, eE, eE,  ; ROC
.db   eE, eN, eN, eN, eE, eE, eE, eN, eN, eN, eE, eS, eE, eS, eE, eE, eS,  ; BUG
.db   eU, eE, eE, eE, eE, eE, eE, eS, eN, eE, eE, eE, eE, eS, eE, eE, eN,  ; GHO
.db   eE, eE, eE, eE, eE, eS, eE, eE, eN, eN, eN, eE, eN, eE, eS, eE, eE,  ; STE
.db   eE, eE, eE, eE, eE, eN, eS, eE, eS, eN, eN, eS, eE, eE, eS, eN, eE,  ; FIR
.db   eE, eE, eE, eE, eS, eS, eE, eE, eE, eS, eN, eN, eE, eE, eE, eN, eE,  ; WAT
.db   eE, eE, eN, eN, eS, eS, eN, eE, eN, eN, eS, eN, eE, eE, eE, eN, eE,  ; GRA
.db   eE, eE, eS, eE, eU, eE, eE, eE, eE, eE, eS, eN, eN, eE, eE, eN, eE,  ; ELE
.db   eE, eS, eE, eS, eE, eE, eE, eE, eN, eE, eE, eE, eE, eN, eE, eE, eU,  ; PSY
.db   eE, eE, eS, eE, eS, eE, eE, eE, eN, eN, eN, eS, eE, eE, eN, eS, eE,  ; ICE
.db   eE, eE, eE, eE, eE, eE, eE, eE, eN, eE, eE, eE, eE, eE, eE, eS, eE,  ; DRA
.db   eE, eN, eE, eE, eE, eE, eE, eS, eN, eE, eE, eE, eE, eS, eE, eE, eN,  ; DAR
;    |NOR|FIG|FLY|POI|GRO|ROC|BUG|GHO|STE|FIR|WAT|GRA|ELE|PSY|ICE|DRA|DAR ;

; ===============================================================
; Attack Effect Table
; ===============================================================

AEDb:
.dw AE_StatRaiseAtk1, AE_StatRaiseDef1, AE_StatRaiseEva1, AE_StatRaiseAtk2		; 1 - 4
.dw AE_StatRaiseDef2, AE_StatRaiseSpDef2, AE_StatRaiseSpd2, AE_StatRaiseAtkDef	; 5 - 8
.dw AE_StatRaiseSpAtkDef, AE_StatRaiseDefSp, AE_StatRaiseAtkSpd, AE_StatRaiseAll	; 9 - 12
.dw AE_StatLowerDef1, AE_StatLowerSpDef1, AE_StatLowerSpAtk1, AE_StatLowerSpd1	; 13 - 16
.dw AE_StatLowerAcc1, AE_StatLowerEva1, AE_StatLowerAtk2, AE_StatLowerDef2		; 17 - 20
.dw AE_StatLowerSpDef2, AE_StatLowerSpd2, AE_StatLowerSpAtk2, AE_StatLowerAtkDef	; 21 - 24
.dw AE_StatusBurn, AE_StatusFreeze, AE_StatusParalyze, AE_StatusPoison		; 25 - 28
.dw AE_StatusBadPoison, AE_StatusSleep, AE_StatusTri, AE_StatusYawn			; 29 - 32
.dw AE_VolDisable, AE_VolSeed, AE_VolEncore, AE_VolInfatuation			; 33 - 36
.dw AE_VolConfuse, AE_VolFollow, AE_VolPrevEscape, AE_VolPerish			; 37 - 40
.dw AE_VolProtect, AE_VolSwagger, AE_VolTorment, AE_VolTrap				; 41 - 44
.dw AE_FieldHail, AE_FieldLightScreen, AE_FieldRain, AE_FieldReflect			; 45 - 48
.dw AE_FieldSafeguard, AE_FieldSandstorm, AE_FieldSpikes, AE_FieldSunny		; 49 - 52
.dw AE_StallBounce, AE_StallDig, AE_StallDive, AE_StallFly				; 53 - 56
.dw AE_MiscNeverMiss, AE_MiscHighCrit, AE_MiscFlinch, AE_MiscHitTwice		; 57 - 60
.dw AE_MiscRecoil, AE_MiscPriority, AE_MiscOHKO, AE_MiscReverse			; 61 - 64
.dw AE_MiscFuture, AE_MiscDrain, AE_MiscBlazeKick, AE_MiscBlizzard			; 65 - 68
.dw AE_MiscEarthquake, AE_MiscFakeOut, AE_MiscFocusPunch, AE_MiscHiJumpKick		; 69 - 72
.dw AE_MiscCharge, AE_MiscHeal, AE_MiscWeatherHeal, AE_MiscWish			; 73 - 76
.dw AE_MiscCure, AE_MiscCureAll, AE_MiscLevelDmg, AE_MiscDuration			; 77 - 80
.dw AE_MiscSkyAttack, AE_MiscSkyUppercut, AE_MiscSmellingsalt, AE_MiscSolarbeam	; 81 - 84
.dw AE_MiscSurf, AE_MiscThunder, AE_SpecBatonPass, AE_SpecBellyDrum			; 85 - 88
.dw AE_SpecBrickBreak, AE_SpecCounter, AE_SpecCurse, AE_SpecDefCurl			; 89 - 92
.dw AE_SpecDestinyBond, AE_SpecDreamEater, AE_SpecEndure, AE_SpecExplosion		; 93 - 96
.dw AE_SpecFacade, AE_SpecFrustration, AE_SpecGrudge, AE_SpecIngrain			; 97 - 100
.dw AE_SpecKnockOff, AE_SpecMemento, AE_SpecMetronome, AE_SpecMirrorCoat		; 101 - 104
.dw AE_SpecNightmare, AE_SpecPainSplit, AE_SpecPyschUp, AE_SpecPursuit		; 105 - 108
.dw AE_SpecRest, AE_SpecRevenge, AE_SpecSwitch, AE_SpecRollout			; 109 - 112
.dw AE_SpecSkillSwap, AE_SpecSleepTalk, AE_SpecSubstitute, AE_SpecTrick		; 113 - 116
.dw AE_SpecRecoil2										; 117

AEPg:
.db qDefLower
.dw AE_StatRaise
.db qBurn
.dw AE_StatLower
.db qBadPoison
.dw AE_Status1
.db qDisable
.dw AE_Status2
.db qConfuse
.dw AE_Vol1
.db qHail
.dw AE_Vol2
.db qBounce
.dw AE_Field
.db qNeverMiss
.dw AE_Stall
.db qCharge
.dw AE_Misc1
.db qBatonPass
.dw AE_Misc2
.db qKnockOff
.dw AE_Spec1
.db qRest
.dw AE_Spec2
.db $FF
.dw AE_Spec3

AE_SpecMetronomeBan:				; list of moves that metronome cannot select
.db mCounter, mDestinyBond, mDetect, mProtect, mEndure, mFocusPunch, mFollowMe, mMirrorCoat, mSleepTalk, mTrick

; ===============================================================
; Moves
; ===============================================================

;#include "../../PKMNDATA/Data/Moves/Moves.asm"
