; ===============================================================
; AI
; ===============================================================

; decision tree node format:
; ai[Style][Number]
; .db ai[Action] | ai[Level]
; .db lbl(ai[Style][Number])
; .db lbl(ai[Style][Number])

; ---------------------------------------------------------------
; Free and unrestrained
; ---------------------------------------------------------------

aiFree:
aiFree1:
.db aiHP50 | aiLvl1
.db lbl(aiFree2)
.db lbl(aiFree3)

aiFree2:
.db aiHeal | aiLvl3
.db 0
.db 0

aiFree3:
.db aiAttack | aiLvl2
.db 0
.db 0

; ---------------------------------------------------------------
; Based on total preperation
; ---------------------------------------------------------------

aiPrep:
aiPrep1:
.db aiStatHigh | aiLvl1
.db lbl(aiPrep2)
.db lbl(aiPrep3)

aiPrep2:
.db aiAttack | aiLvl2
.db 0
.db 0

aiPrep3:
.db aiBoost | aiLvl1
.db 0
.db 0

; ---------------------------------------------------------------
; Slow and steady
; ---------------------------------------------------------------

aiSlow:
aiSlow1:
.db aiTrgtStatus | aiLvl1
.db lbl(aiSlow2)
.db lbl(aiSlow3)

aiSlow2:
.db aiAttack | aiLvl2
.db 0
.db 0

aiSlow3:
.db aiStatus | aiLvl1
.db 0
.db 0

; ---------------------------------------------------------------
; One of endurance
; ---------------------------------------------------------------

aiEndure:
aiEndure1:
.db aiPrevProtect | aiLvl1
.db lbl(aiEndure2)
.db lbl(aiEndure3)

aiEndure2:
.db aiHP50 | aiLvl1
.db lbl(aiEndure4)
.db lbl(aiEndure5)

aiEndure3:
.db aiProtect | aiLvl1
.db 0
.db 0

aiEndure4:
.db aiHeal | aiLvl1
.db 0
.db 0

aiEndure5:
.db aiHasStatus | aiLvl2
.db lbl(aiEndure6)
.db lbl(aiEndure7)

aiEndure6:
.db aiCure | aiLvl4
.db 0
.db 0

aiEndure7:
.db aiAttack | aiLvl2
.db 0
.db 0

; ---------------------------------------------------------------
; High risk, high return
; ---------------------------------------------------------------

aiRisk:
aiRisk1:
.db aiAttack | aiLvl1
.db 0
.db 0

; ---------------------------------------------------------------
; Weakening the foe
; ---------------------------------------------------------------

aiWeaken:
aiWeaken1:
.db aiStatLow | aiLvl1
.db lbl(aiWeaken2)
.db lbl(aiWeaken3)

aiWeaken2:
.db aiAttack | aiLvl2
.db 0
.db 0

aiWeaken3:
.db aiLower | aiLvl1
.db 0
.db 0

; ---------------------------------------------------------------
; Impossible to predict
; ---------------------------------------------------------------

aiImpos:
aiImpos1:
.db aiAttack | aiLvl2
.db 0
.db 0

; ---------------------------------------------------------------
; Depends on the battle's flow
; ---------------------------------------------------------------

aiFlow:
aiFlow1:
.db aiIsWeather | aiLvl1
.db lbl(aiFlow2)
.db lbl(aiFlow3)

aiFlow2:
.db aiAttack | aiLvl2
.db 0
.db 0

aiFlow3:
.db aiWeather | aiLvl1
.db 0
.db 0

; ---------------------------------------------------------------
; Adaptable to the situation
; ---------------------------------------------------------------

aiAdapt:
aiAdapt1:
.db aiAttack | aiLvl2
.db 0
.db 0
